package com.example.wallisyn.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "n69310112a1f39"
        const val TOP_ON_AD_TOW = "n6931011271855"
        const val TOP_ON_AD_THREE = "n693101123f1f3"

        val adPlaceAllList = listOf(
            TOP_ON_AD_ONE,
            TOP_ON_AD_TOW,
            TOP_ON_AD_THREE
        )
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}